## class SG_EXPORT osg::DrawPixels

> DrawPixels is an osg::Drawable subclass which encapsulates the drawing of images using glDrawPixels

## Inheritance:

### Public Methods

DrawPixels()
DrawPixels(const DrawPixels& drawimage, const CopyOp& copyop=CopyOp::SHALLOW_COPY)
  Copy constructor using CopyOp to manage deep vs shallow copy
virtual Object* cloneType() const
virtual Object* clone(const CopyOp& copyop) const
virtual bool isSameKindAs(const Object* obj) const
virtual const char* libraryName() const
virtual const char* className() const
void setPosition(const osg::Vec3& position)
osg::Vec3& getPosition()
const osg::Vec3& getPosition() const
void setImage(osg::Image* image)
osg::Image* getImage()
const osg::Image* getImage() const
void setUseCompleteImage()
void setSubImageDimensions(unsigned int offsetX, unsigned int offsetY, unsigned int width, unsigned int height)
void getSubImageDimensions(unsigned int& offsetX, unsigned int& offsetY, unsigned int& width, unsigned int& height) const
bool getUseSubImage() const
virtual void drawImplementation(State& state) const

### Protected Fields

Vec3 _position
ref_ptr<Image> _image
bool _useSubImage
unsigned int _offsetX
unsigned int _offsetY
unsigned int _width
unsigned int _height

### Protected Methods

DrawPixels& operator = (const DrawPixels&)
virtual ~DrawPixels()
virtual bool computeBound() const

### Inherited from Drawable:

### Public Methods

virtual Geometry* asGeometry()
virtual const Geometry* asGeometry() const
inline const ParentList& getParents() const
inline ParentList getParents()
inline Node* getParent(unsigned int i)
inline const Node* getParent(unsigned int i) const
inline unsigned int getNumParents() const
inline void setStateSet(StateSet* state)
inline StateSet* getStateSet()
inline const StateSet* getStateSet() const
StateSet* getOrCreateStateSet()
void dirtyBound()
inline const BoundingBox& getBound() const
inline void setShape(Shape* shape)
inline Shape* getShape()
inline const Shape* getShape() const
void setSupportsDisplayList(bool flag)
inline bool getSupportsDisplayList() const
void setUseDisplayList(bool flag)
inline bool getUseDisplayList() const
void setUseVertexBufferObjects(bool flag)
inline bool getUseVertexBufferObjects() const
void dirtyDisplayList()
virtual void compile(State& state) const
void setUpdateCallback(UpdateCallback* ac)
UpdateCallback* getUpdateCallback()
void setCullCallback(CullCallback* cc)
CullCallback* getCullCallback()
const CullCallback* getCullCallback() const
void setDrawCallback(DrawCallback* dc)
DrawCallback* getDrawCallback()
const DrawCallback* getDrawCallback() const
static void deleteDisplayList(unsigned int contextID, GLuint globj)
static void flushDeletedDisplayLists(unsigned int contextID, double currentTime, double& availableTime)
static void deleteVertexBufferObject(unsigned int contextID, GLuint globj)
static void flushDeletedVertexBufferObjects(unsigned int contextID, double currentTime, double& availableTime)
virtual bool supports(AttributeFunctor&) const
virtual void accept(AttributeFunctor&)
virtual bool supports(ConstAttributeFunctor&) const
virtual void accept(ConstAttributeFunctor&) const
virtual bool supports(PrimitiveFunctor&) const
virtual void accept(PrimitiveFunctor&) const
static Extensions* getExtensions(unsigned int contextID, bool createIfNotInitalized)
static void setExtensions(unsigned int contextID, Extensions* extensions)
inline void draw(State& state) const

### Public Members

typedef std::vector<Node*> ParentList
struct UpdateCallback: public virtual osg::Referenced
struct CullCallback: public virtual osg::Referenced
struct DrawCallback: public virtual osg::Referenced
typedef unsigned int AttributeType
enum AttributeTypes
class AttributeFunctor
class ConstAttributeFunctor
class PrimitiveFunctor
class SG_EXPORT Extensions: public osg::Referenced
  Extensions class which encapsulates the querring of extensions and associated function pointers, and provide convinience wrappers to check for the extensions or use the associated functions

### Protected Fields

ParentList _parents
ref_ptr<StateSet> _stateset
mutable BoundingBox _bbox
mutable bool _bbox_computed
ref_ptr<Shape> _shape
bool _supportsDisplayList
bool _useDisplayList
bool _supportsVertexBufferObjects
bool _useVertexBufferObjects
mutable GLObjectList _globjList
mutable GLObjectList _vboList
ref_ptr<UpdateCallback> _updateCallback
ref_ptr<DrawCallback> _drawCallback
ref_ptr<CullCallback> _cullCallback

### Protected Methods

void setBound(const BoundingBox& bb) const
void addParent(osg::Node* node)
void removeParent(osg::Node* node)

### Protected Members

typedef osg::buffered_value<GLuint> GLObjectList

### Inherited from Object:

### Public Methods

inline void setDataVariance(DataVariance dv)
inline DataVariance getDataVariance() const
inline void setUserData(Referenced* obj)
inline Referenced* getUserData()
inline const Referenced* getUserData() const

### Public Members

enum DataVariance

### Protected Fields

DataVariance _dataVariance
ref_ptr<Referenced> _userData

### Inherited from Referenced:

### Public Methods

static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

> DrawPixels is an osg::Drawable subclass which encapsulates the drawing of images using glDrawPixels

`DrawPixels()`

`DrawPixels(const DrawPixels& drawimage, const CopyOp& copyop=CopyOp::SHALLOW_COPY)`
  Copy constructor using CopyOp to manage deep vs shallow copy

`virtual Object* cloneType() const`

`virtual Object* clone(const CopyOp& copyop) const`

`virtual bool isSameKindAs(const Object* obj) const`

`virtual const char* libraryName() const`

`virtual const char* className() const`

`void setPosition(const osg::Vec3& position)`

`osg::Vec3& getPosition()`

`const osg::Vec3& getPosition() const`

`void setImage(osg::Image* image)`

`osg::Image* getImage()`

`const osg::Image* getImage() const`

`void setUseCompleteImage()`

`void setSubImageDimensions(unsigned int offsetX, unsigned int offsetY, unsigned int width, unsigned int height)`

`void getSubImageDimensions(unsigned int& offsetX, unsigned int& offsetY, unsigned int& width, unsigned int& height) const`

`bool getUseSubImage() const`

`virtual void drawImplementation(State& state) const`

`DrawPixels& operator = (const DrawPixels&)`

`virtual ~DrawPixels()`

`virtual bool computeBound() const`

`Vec3 _position`

`ref_ptr<Image> _image`

`bool _useSubImage`

`unsigned int _offsetX`

`unsigned int _offsetY`

`unsigned int _width`

`unsigned int _height`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.